{
  "name": "template-10559",
  "version": "1.0.0",
  "private": true,
  "description": "WebSoft Inc.",
  "templateInfo": {
    "name": "react-NutUI",
    "typescript": true,
    "css": "Sass",
    "framework": "React"
  },
  "scripts": {
    "build:weapp": "taro build --type weapp",
    "build:swan": "taro build --type swan",
    "build:alipay": "taro build --type alipay",
    "build:tt": "taro build --type tt",
    "build:h5": "taro build --type h5",
    "build:rn": "taro build --type rn",
    "build:qq": "taro build --type qq",
    "build:jd": "taro build --type jd",
    "build:quickapp": "taro build --type quickapp",
    "dev:weapp": "npm run build:weapp -- --watch",
    "dev:swan": "npm run build:swan -- --watch",
    "dev:alipay": "npm run build:alipay -- --watch",
    "dev:tt": "npm run build:tt -- --watch",
    "dev:h5": "npm run build:h5 -- --watch",
    "dev:rn": "npm run build:rn -- --watch",
    "dev:qq": "npm run build:qq -- --watch",
    "dev:jd": "npm run build:jd -- --watch",
    "dev:quickapp": "npm run build:quickapp -- --watch",
    "build:tailwind": "postcss --config tailwind.config.js -o ./dist/index.css ./src/app.css"
  },
  "browserslist": [
    "last 3 versions",
    "Android >= 4.1",
    "ios >= 8"
  ],
  "author": "",
  "dependencies": {
    "@babel/runtime": "^7.26.0",
    "@nutui/icons-react-taro": "^2.0.1",
    "@nutui/nutui-biz": "1.0.0-beta.2",
    "@nutui/nutui-react": "^3.0.16",
    "@nutui/nutui-react-taro": "^2.7.4",
    "@react-native/metro-config": "^0.73.2",
    "@tarojs/components": "4.0.8",
    "@tarojs/components-rn": "^4.1.4",
    "@tarojs/helper": "4.0.8",
    "@tarojs/plugin-framework-react": "4.0.8",
    "@tarojs/plugin-html": "4.0.8",
    "@tarojs/plugin-platform-alipay": "4.0.8",
    "@tarojs/plugin-platform-h5": "4.0.8",
    "@tarojs/plugin-platform-jd": "4.0.8",
    "@tarojs/plugin-platform-qq": "4.0.8",
    "@tarojs/plugin-platform-swan": "4.0.8",
    "@tarojs/plugin-platform-tt": "4.0.8",
    "@tarojs/plugin-platform-weapp": "4.0.8",
    "@tarojs/react": "4.0.8",
    "@tarojs/rn-runner": "^4.1.4",
    "@tarojs/rn-supporter": "^4.1.4",
    "@tarojs/runtime": "4.0.8",
    "@tarojs/runtime-rn": "^4.1.4",
    "@tarojs/shared": "4.0.8",
    "@tarojs/taro": "4.0.8",
    "@tarojs/taro-rn": "^4.1.4",
    "crypto-js": "^4.2.0",
    "dayjs": "^1.11.13",
    "echarts-taro3-react": "^1.0.13",
    "expo": "~50.0.2",
    "js-base64": "^3.7.7",
    "react": "^18.3.1",
    "react-dom": "^18.3.1",
    "react-markdown": "^10.1.0",
    "react-native": "^0.73.1",
    "react-router-dom": "^7.1.1",
    "weapp-qrcode": "^1.0.0"
  },
  "devDependencies": {
    "@babel/core": "^7.26.0",
    "@babel/plugin-proposal-class-properties": "7.14.5",
    "@babel/preset-react": "^7.26.3",
    "@pmmmwh/react-refresh-webpack-plugin": "^0.5.15",
    "@tarojs/cli": "4.0.8",
    "@tarojs/taro-loader": "4.0.8",
    "@tarojs/webpack5-runner": "4.0.8",
    "@types/node": "^18.19.68",
    "@types/react": "^18.3.18",
    "@types/webpack-env": "^1.18.5",
    "@typescript-eslint/eslint-plugin": "^6.21.0",
    "@typescript-eslint/parser": "^6.21.0",
    "autoprefixer": "^10.4.20",
    "babel-plugin-import": "^1.13.8",
    "babel-preset-taro": "4.0.8",
    "eslint": "^8.57.1",
    "eslint-config-taro": "4.0.8",
    "eslint-plugin-import": "^2.31.0",
    "eslint-plugin-react": "^7.37.3",
    "eslint-plugin-react-hooks": "^4.6.2",
    "postcss": "^8.4.49",
    "react-refresh": "^0.11.0",
    "stylelint": "^14.16.1",
    "tailwindcss": "^3.4.17",
    "ts-node": "^10.9.2",
    "tsconfig-paths-webpack-plugin": "^4.2.0",
    "typescript": "^5.7.2",
    "webpack": "5.78.0"
  }
}
